Jueves, Febrero 09, 2023

Debian, Ubuntu y Mint: ¿Cuál es la compatibilidad entre repositorios?

repositorios-debian-ubuntu-mint-01

Hoy, les compartiré una pequeña lista que uso desde hace mucho cuando, y que he decidido actualizar. La misma, la empleo cuando, por diversas razones, debía y debo, escoger un repositorio adecuado (compatible) sobre mis anteriores Distros Debian, Ubuntu y Mint usadas, o basadas en ellas, como actualmente es MX Linux.

Si creen que hay algo mejorable o corregible, será genial leer en los comentarios su aporte en beneficio de todos aquellos usuarios que usamos algunas de las Distros GNU/Linux antes mencionadas.

repositorios-debian-ubuntu-mint-02

Compatibilidad de Repositorios entre Debian, Ubuntu y Mint

Nombres de Distros Debian, Ubuntu y Mint + Compatibilidad de Repositorios

Antes de Ubuntu

  • Debian 1.1 (Buzz)
  • Debian 1.2 (Rex)
  • Debian 1.3 (Bo)
  • Debian 2.0 (Hamm)
  • Debian 2.1 (Slink)
  • Debian 2.2 (Potato)

Luego de Ubuntu y antes de Mint

  • Debian 3.0 (Woody)
  1. Ubuntu 4.10 (Warty Warthog – Jabalí Verrugoso)
  • Debian 3.1 (Sarge)
  1. Ubuntu 5.04 (Hoary Hedgehog – Puerco-espín Anciano)
  2. Ubuntu 5.10 (Breezy Badger – Tejón Despreocupado)

Luego de Ubuntu y Mint (Extintas)

  • Debian 4.0 (Etch)
  1. Ubuntu 6.04 LTS (Dapper Drake – Pato Culto)
  2. Ubuntu 6.10 (Edgy Eft – Tritón Crispado)
  3. Ubuntu 7.04 (Feisty Fawn – Cervatillo Animado)
  4. Ubuntu 7.10 (Gutsy Gibbon – Gibón Valiente)
  5. Mint 1.0 (Ada) -> Compatible con Ubuntu 6.04 LTS principalmente
  6. Mint 2.0 (Barbara) -> Igual
  7. Mint 3.0 (Cassandra) -> Igual
  8. Mint 4.0 (Daryna) -> Igual
  • Debian 5.0 (Lenny)
  1. Ubuntu 8.04 LTS (Hardy Heron – Garza Robusta)
  2. Ubuntu 8.10 (Intrepid Ibex – Cabra Intrépida)
  3. Ubuntu 9.04 (Jaunty Jackalope – Jackalope Desenfadado)
  4. Ubuntu 9.10 (Karmic Koala – Koala Kármico)
  5. Mint 5.0 (Elyssa) -> Compatible con Ubuntu 8.04 LTS principalmente
  6. Mint 6.0 (Felicia) -> Igual
  7. Mint 7.0 (Gloria) -> Igual
  8. Mint 8.0 (Helena) -> Igual
  • Debian 6.0 (Squeeze)
  1. Ubuntu 10.04 LTS (Lucid Lynx – Lince Lucido)
  2. Ubuntu 10.10 (Maverick Meerkat – Suricato Inconformista)
  3. Ubuntu 11.04 (Natty Narwhal – Narval Elegante)
  4. Ubuntu 11.10 (Oneiric Ocelot – Ocelote Onírico)
  5. Mint 09.0 (Isadora) -> Compatible con Ubuntu 10.04 LTS principalmente
  6. Mint 10.0 (Julia) -> Igual
  7. Mint 11.0 (Katya) -> Igual
  8. Mint 12.0 (Lisa) -> Igual
  9. LMDE 1 -> Compatible con DEBIAN de desarrollo (Wheezy)
  • Debian 7 (Wheezy)
  1. Ubuntu 12.04 LTS (Precise Pangolin – Pangolín Preciso)
  2. Ubuntu 12.10 (Quantal Quetzal – Quetzal Cuántico)
  3. Ubuntu 13.04 (Raring Ringtail – Lemur Ansioso)
  4. Ubuntu 13.10 (Saucy Salamander – Salamandra Descarada)
  5. Mint 13.0 (Maya) -> Compatible con Ubuntu 12.04 LTS principalmente
  6. Mint 14.0 (Nadia) -> Igual
  7. Mint 15.0 (Olivia) -> Igual
  8. Mint 16.0 (Petra) -> Igual
  9. LMDE 1 -> Compatible con DEBIAN de desarrollo (Jessie)
  • Debian 8 (Jessie)
  1. Ubuntu 14.04 LTS (Trusty Tahr – Tauro Fiel)
  2. Ubuntu 14.10 (Utopic Unicorn – Unicornio Utópico)
  3. Ubuntu 15.04 (Vivid Vervet – Mono Araña Vívido)
  4. Ubuntu 15.10 (Wily Werefolf – Hombre lobo astuto)
  5. Mint 17 (Qiana) -> Compatible con Ubuntu 14.04 LTS principalmente
  6. Mint 17.1 (Rebecca) -> Igual
  7. Mint 17.2 (Rafaela) -> Igual
  8. Mint 17.3 (Rosa) -> Igual
  9. LMDE 1 -> Compatible con DEBIAN de desarrollo (Stretch)
  10. LMDE 2 -> Compatible con DEBIAN Estable (Jessie)

Todavía actuales de Ubuntu y Mint (Existentes)

  • Debian 9 (Stretch)
  1. Ubuntu 16.04 LTS (Xenial Xerus – Xerus Hospitalario)
  2. Ubuntu 16.10 (Yakkety Yak – Yak Cotorreador)
  3. Ubuntu 17.04 (Zesty Zapus – Ratoncito Vigoroso)
  4. Ubuntu 17.10 (Artful Aardvark – Cerdo Hormiguero Ingenioso)
  5. Mint 18 (Sarah) -> Compatible con Ubuntu 16.04 LTS principalmente
  6. Mint 18.1 (Serena) -> Igual
  7. Mint 18.2 (Sonya) -> Igual
  8. Mint 18.3 (Sylvia) -> Igual
  9. LMDE 3 -> Compatible con DEBIAN Estable (Stretch)
  • Debian 10 (Buster)
  1. Ubuntu 18.04 LTS (Bionic Beaver – Castor Biónico)
  2. Ubuntu 18.10 (Cosmic Cuttlefish – Sepia Cósmica)
  3. Ubuntu 19.04 (Disco Dingo – Dingo Disco)
  4. Ubuntu 19.10 (Eoan Ermine – Armiño del amanecer)
  5. Mint 19 (Tara) -> Compatible con Ubuntu 18.04 LTS principalmente
  6. Mint 19.1 (Tessa) -> Igual
  7. Mint 19.2 (Tina) -> Igual
  8. Mint 19.3 (Tricia) -> Igual
  9. LMDE 4 -> Compatible con DEBIAN Estable (Buster)

Actuales de Ubuntu y Mint (Presentes)

  • Debian 11 (Bullseye)
  1. Ubuntu 20.04 LTS (Focal Fossa – Fosa Focal)
  2. Ubuntu 20.10 (Groovy Gorilla – Gorila Genial)
  3. Ubuntu 21.04 (Hirsute Hippo – Hipopótamo Hirsuto)
  4. Ubuntu 21.10 (Impish Indri – Indri Travieso)
  5. Mint 20 (Ulyana) -> Compatible con Ubuntu 20.04 LTS principalmente
  6. Mint 20.1 (Ulyssa) -> Igual
  7. Mint 20.2 (Uma) -> Igual
  8. Mint 20.3 (Una) -> Igual
  9. LMDE 5 -> Compatible con DEBIAN Estable (Bullseye)

Continuando con Ubuntu y Mint (Futuras)

  • Debian 12 (Bookworm)
  1. Ubuntu 22.04 LTS (Jammy Jellyfish – Medusa Afortunada)
  2. Ubuntu 22.10 (Kinetic Kudu – Kudu Cinético)
  3. Ubuntu 23.04 (Lunar Lobster – Langosta Lunar)
  4. Mint 21 (Vanessa) -> Compatible con Ubuntu 20.04 LTS principalmente
  5. LMDE 6 -> Compatible con DEBIAN Estable (Bookworm)

En resumen, esperamos que cualquiera con esta pequeña guía de «compatibilidad de repositorios entre Debian, Ubuntu y Mint», pueda mezclar repositorios de distintas Distros o repositorios PPA basados en Debian, Ubuntu y Mint con un mayor grado de éxito.

 

Fuente: ubunlog

 

¿Quién está en línea?

Hay 152 invitados y ningún miembro en línea

Contador de Visitas

14293267
Hoy Hoy 165
Ayer Ayer 3834
Esta semana Esta semana 11409
Este mes Este mes 28271
Total de Visitas Total de Visitas 14293267

Día con más
visitantes

01-16-2023 : 3919

Gracias por su visita